import 'package:json_annotation/json_annotation.dart';

part 'resend.g.dart';


@JsonSerializable()
class ResendVerificationEmailRequest {
  final String login;

  const ResendVerificationEmailRequest({
    required this.login,
  });

  factory ResendVerificationEmailRequest.fromJson(Map<String, dynamic> json) => _$ResendVerificationEmailRequestFromJson(json);
  Map<String, dynamic> toJson() => _$ResendVerificationEmailRequestToJson(this);

  static ResendVerificationEmailRequest build({
    required String login,
  }) => ResendVerificationEmailRequest(login: login);
}


